base-4.7.0.2: Basic libraries

Copyright | (c) The University of Glasgow 2001
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | experimental
Portability | non-portable (requires universal quantification for runST)
Safe Haskell | Unsafe
Language | Haskell2010

Control.Monad.ST.Unsafe

Contents

- Unsafe operations

Description

This library provides support for strict state threads, as described in the PLDI '94 paper by John Launchbury and Simon Peyton Jones Lazy Functional State Threads.

Unsafe API.

Synopsis

- unsafeInterleaveST :: ST s a -> ST s a
- unsafeIOToST :: IO a -> ST s a
- unsafeSTToIO :: ST s a -> IO a

# Unsafe operations

unsafeInterleaveST :: ST s a -> ST s a

unsafeIOToST :: IO a -> ST s a

unsafeSTToIO :: ST s a -> IO a